> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytikt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Discard or restore a lead

> Discard a lead (`bad_fit`) or restore it (`active`) — the same gesture as on the Leads page. Restoring only applies to a discarded lead. Sends `lead.status_changed`. Requires a **Read and write** key.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/leads/{id}
openapi: 3.1.0
info:
  title: TIKT API
  version: '2026-10-01'
  description: >-
    Read your leads with their verdict criterion by criterion, and answer TIKT:
    file, discard, exclude, pause, track. Server to server only: never call it
    from a browser.
servers:
  - url: https://api.trytikt.com
security:
  - apiKey: []
tags:
  - name: workspace
  - name: leads
  - name: lists
  - name: posts
  - name: tracked-profiles
  - name: icp
  - name: analytics
  - name: events
  - name: webhook-endpoints
  - name: workflows
  - name: tools
paths:
  /v1/leads/{id}:
    patch:
      tags:
        - leads
      summary: Discard or restore a lead
      description: >-
        Discard a lead (`bad_fit`) or restore it (`active`) — the same gesture
        as on the Leads page. Restoring only applies to a discarded lead. Sends
        `lead.status_changed`. Requires a **Read and write** key.
      operationId: discardOrRestoreALead
      parameters:
        - name: id
          in: path
          required: true
          description: The lead's id.
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - bad_fit
                    - active
                  description: '`bad_fit` to discard the lead, `active` to restore it.'
              required:
                - status
              additionalProperties: false
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Lead'
        '400':
          $ref: '#/components/responses/E400'
        '401':
          $ref: '#/components/responses/E401'
        '403':
          $ref: '#/components/responses/E403'
        '404':
          $ref: '#/components/responses/E404'
        '409':
          $ref: '#/components/responses/E409'
        '413':
          $ref: '#/components/responses/E413'
        '422':
          $ref: '#/components/responses/E422'
        '429':
          $ref: '#/components/responses/E429'
        '500':
          $ref: '#/components/responses/E500'
        '503':
          $ref: '#/components/responses/E503'
      security:
        - apiKey: []
components:
  schemas:
    Lead:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        status:
          type: string
        score:
          anyOf:
            - type: integer
            - type: 'null'
        score_max:
          type: integer
        fit_band:
          anyOf:
            - type: string
            - type: 'null'
        criteria:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
              label:
                type: string
              mode:
                type: string
              verdict:
                type: string
              justification:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - key
              - label
              - mode
              - verdict
              - justification
            additionalProperties: false
        disqualifiers:
          type: array
          items:
            type: object
            properties:
              kind:
                type: string
              key:
                anyOf:
                  - type: string
                  - type: 'null'
              label:
                anyOf:
                  - type: string
                  - type: 'null'
              justification:
                anyOf:
                  - type: string
                  - type: 'null'
            additionalProperties: false
        summary:
          anyOf:
            - type: string
            - type: 'null'
        scored_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        scoring_version:
          anyOf:
            - type: string
            - type: 'null'
        icp_version_id:
          anyOf:
            - type: string
              pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
            - type: 'null'
        engagement_count:
          type: integer
        reaction_count:
          type: integer
        comment_count:
          type: integer
        signals:
          type: array
          items:
            $ref: '#/components/schemas/LeadSignal'
        first_seen_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        last_engagement_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        status_changed_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        lists:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
              name:
                type: string
              added_at:
                type: string
                pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            required:
              - id
              - name
              - added_at
            additionalProperties: false
        handled:
          type: boolean
        console_url:
          type: string
        person:
          type: object
          properties:
            id:
              type: string
              pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
            linkedin_url:
              anyOf:
                - type: string
                - type: 'null'
            linkedin_member_id:
              anyOf:
                - type: string
                - type: 'null'
            full_name:
              anyOf:
                - type: string
                - type: 'null'
            first_name:
              anyOf:
                - type: string
                - type: 'null'
            last_name:
              anyOf:
                - type: string
                - type: 'null'
            headline:
              anyOf:
                - type: string
                - type: 'null'
            about:
              anyOf:
                - type: string
                - type: 'null'
            picture_url:
              anyOf:
                - type: string
                - type: 'null'
            location:
              type: object
              properties:
                country:
                  anyOf:
                    - type: string
                    - type: 'null'
                country_code:
                  anyOf:
                    - type: string
                    - type: 'null'
                region:
                  anyOf:
                    - type: string
                    - type: 'null'
                city:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - country
                - country_code
                - region
                - city
              additionalProperties: false
            current_position:
              type: object
              properties:
                title:
                  anyOf:
                    - type: string
                    - type: 'null'
                company_name:
                  anyOf:
                    - type: string
                    - type: 'null'
                company_linkedin_url:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - title
                - company_name
                - company_linkedin_url
              additionalProperties: false
            seniority:
              anyOf:
                - type: string
                - type: 'null'
            department:
              anyOf:
                - type: string
                - type: 'null'
            positions:
              type: array
              items:
                type: object
                properties:
                  title:
                    anyOf:
                      - type: string
                      - type: 'null'
                  company_name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  company_linkedin_url:
                    anyOf:
                      - type: string
                      - type: 'null'
                  company_linkedin_id:
                    anyOf:
                      - type: string
                      - type: 'null'
                  start_date:
                    anyOf:
                      - type: string
                      - type: 'null'
                  end_date:
                    anyOf:
                      - type: string
                      - type: 'null'
                  is_current:
                    type: boolean
                  duration:
                    anyOf:
                      - type: string
                      - type: 'null'
                  location:
                    anyOf:
                      - type: string
                      - type: 'null'
                  employment_type:
                    anyOf:
                      - type: string
                      - type: 'null'
                  workplace_type:
                    anyOf:
                      - type: string
                      - type: 'null'
                  description:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - title
                  - company_name
                  - company_linkedin_url
                  - company_linkedin_id
                  - start_date
                  - end_date
                  - is_current
                  - duration
                  - location
                  - employment_type
                  - workplace_type
                  - description
                additionalProperties: false
            education:
              type: array
              items:
                type: object
                properties:
                  school_name:
                    anyOf:
                      - type: string
                      - type: 'null'
                  school_linkedin_url:
                    anyOf:
                      - type: string
                      - type: 'null'
                  degree:
                    anyOf:
                      - type: string
                      - type: 'null'
                  field_of_study:
                    anyOf:
                      - type: string
                      - type: 'null'
                  start_year:
                    anyOf:
                      - type: integer
                      - type: 'null'
                  end_year:
                    anyOf:
                      - type: integer
                      - type: 'null'
                required:
                  - school_name
                  - school_linkedin_url
                  - degree
                  - field_of_study
                  - start_year
                  - end_year
                additionalProperties: false
            languages:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                  proficiency:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - name
                  - proficiency
                additionalProperties: false
            skills:
              type: array
              items:
                type: string
            followers_count:
              anyOf:
                - type: integer
                - type: 'null'
            connections_count:
              anyOf:
                - type: integer
                - type: 'null'
            flags:
              type: object
              properties:
                open_to_work:
                  type: boolean
                is_hiring:
                  type: boolean
                is_premium:
                  type: boolean
                is_influencer:
                  type: boolean
                is_verified:
                  type: boolean
                is_creator:
                  type: boolean
              required:
                - open_to_work
                - is_hiring
                - is_premium
                - is_influencer
                - is_verified
                - is_creator
              additionalProperties: false
            profile_language:
              anyOf:
                - type: string
                - type: 'null'
            profile_country:
              anyOf:
                - type: string
                - type: 'null'
            websites:
              type: array
              items:
                type: string
            linkedin_member_since:
              anyOf:
                - type: string
                  pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
                - type: 'null'
            profile_read_at:
              anyOf:
                - type: string
                  pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
                - type: 'null'
          required:
            - id
            - linkedin_url
            - linkedin_member_id
            - full_name
            - first_name
            - last_name
            - headline
            - about
            - picture_url
            - location
            - current_position
            - seniority
            - department
            - positions
            - education
            - languages
            - skills
            - followers_count
            - connections_count
            - flags
            - profile_language
            - profile_country
            - websites
            - linkedin_member_since
            - profile_read_at
          additionalProperties: false
        company:
          anyOf:
            - $ref: '#/components/schemas/Company'
            - type: 'null'
      required:
        - id
        - status
        - score
        - score_max
        - fit_band
        - criteria
        - disqualifiers
        - summary
        - scored_at
        - scoring_version
        - icp_version_id
        - engagement_count
        - reaction_count
        - comment_count
        - signals
        - first_seen_at
        - last_engagement_at
        - status_changed_at
        - lists
        - handled
        - console_url
        - person
        - company
      additionalProperties: false
    LeadSignal:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        kind:
          type: string
        reaction_type:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        likes:
          type: integer
        replies:
          type: integer
        is_pinned:
          type: boolean
        is_edited:
          type: boolean
        occurred_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        captured_at:
          type: string
          pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
        post:
          $ref: '#/components/schemas/Post'
      required:
        - id
        - kind
        - reaction_type
        - text
        - url
        - likes
        - replies
        - is_pinned
        - is_edited
        - occurred_at
        - captured_at
        - post
      additionalProperties: false
    Company:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        linkedin_company_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        universal_name:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        domain:
          anyOf:
            - type: string
            - type: 'null'
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        about:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
        specialties:
          type: array
          items:
            type: string
        company_size:
          anyOf:
            - type: string
            - type: 'null'
        employees_count:
          anyOf:
            - type: integer
            - type: 'null'
        organization_type:
          anyOf:
            - type: string
            - type: 'null'
        founded_year:
          anyOf:
            - type: integer
            - type: 'null'
        followers_count:
          anyOf:
            - type: integer
            - type: 'null'
        headquarters:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        locations:
          type: array
          items:
            type: string
        enriched_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
      required:
        - id
        - linkedin_company_id
        - name
        - universal_name
        - linkedin_url
        - website
        - domain
        - logo_url
        - tagline
        - about
        - industry
        - specialties
        - company_size
        - employees_count
        - organization_type
        - founded_year
        - followers_count
        - headquarters
        - country_code
        - locations
        - enriched_at
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - parametre_inconnu
                - parametre_invalide
                - corps_invalide
                - curseur_invalide
                - cle_absente
                - cle_invalide
                - cle_revoquee
                - cle_de_lecture
                - introuvable
                - methode_non_permise
                - limite_atteinte
                - corps_trop_gros
                - refus
                - trop_de_requetes
                - erreur_interne
                - indisponible
            message:
              type: string
            status:
              type: integer
            request_id:
              anyOf:
                - type: string
                - type: 'null'
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
            - status
            - request_id
          additionalProperties: false
      required:
        - error
      additionalProperties: false
    Post:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        linkedin_post_id:
          type: string
        urn:
          type: string
        url:
          type: string
        author:
          type: object
          properties:
            type:
              type: string
            name:
              anyOf:
                - type: string
                - type: 'null'
            public_id:
              anyOf:
                - type: string
                - type: 'null'
            linkedin_url:
              anyOf:
                - type: string
                - type: 'null'
            avatar_url:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - type
            - name
            - public_id
            - linkedin_url
            - avatar_url
          additionalProperties: false
        text:
          anyOf:
            - type: string
            - type: 'null'
        hashtags:
          type: array
          items:
            type: string
        media_type:
          anyOf:
            - type: string
            - type: 'null'
        media:
          type: object
          properties:
            images:
              type: array
              items:
                type: string
            videos:
              type: array
              items:
                type: string
          required:
            - images
            - videos
          additionalProperties: false
        external_links:
          type: array
          items:
            type: string
        is_repost:
          type: boolean
        posted_at:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
            - type: 'null'
        counters:
          type: object
          properties:
            reactions:
              anyOf:
                - type: integer
                - type: 'null'
            comments:
              anyOf:
                - type: integer
                - type: 'null'
            checked_at:
              anyOf:
                - type: string
                  pattern: ^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$
                - type: 'null'
          required:
            - reactions
            - comments
            - checked_at
          additionalProperties: false
        tracking_status:
          type: string
        source:
          type: string
        kol:
          $ref: '#/components/schemas/TrackedProfileSummary'
        console_url:
          type: string
      required:
        - id
        - linkedin_post_id
        - urn
        - url
        - author
        - text
        - hashtags
        - media_type
        - media
        - external_links
        - is_repost
        - posted_at
        - counters
        - tracking_status
        - source
        - kol
        - console_url
      additionalProperties: false
    TrackedProfileSummary:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        name:
          anyOf:
            - type: string
            - type: 'null'
        relationship:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - name
        - relationship
        - linkedin_url
      additionalProperties: false
  responses:
    E400:
      description: Error 400.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E401:
      description: Error 401.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E403:
      description: Error 403.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E404:
      description: Error 404.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E409:
      description: Error 409.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E413:
      description: Error 413.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E422:
      description: Error 422.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E429:
      description: Error 429.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E500:
      description: Error 500.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E503:
      description: Error 503.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your API key, created in Settings › API: `Authorization: Bearer
        tikt_live_…`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.